<template>
  <button type="button" @click="doSomething">{{value}}</button>
</template>

<script>
export default {
  name: 'PrimaryBtn',
  methods: {
    doSomething() {
      this.$emit('doSomething');
    },
  },
  props: {
    value: {
      type: String,
    },
  },
};
</script>

<style scoped lang="scss">
@import "../../../assets/style.scss";

button{
  font-family: 'Roboto', sans-serif;
  padding: 15px 0;
  background-color: $my-orange;
  border-radius: 11px;
  border: none;
  width: 170px;
  height: 50px;
  text-align: center;
  color: #f8f8f8;
  /*font-size: 18px;*/
  font-size: 1.1em;
}

button:hover{
  background-color: $my-yellow;
  transition: .3s;
}

</style>
